## prometheus-hacluster-exporter 0.4.0

=== Makefile ===
# this is the what ends up in the RPM "Version" field and it is also used as suffix for the built binaries
# it can be arbitrary for local builds, but it if you want to commit to OBS it must correspond to a Git tag with an associated GitHub release
VERSION ?= dev

# we only use this to comply with RPM changelog conventions at SUSE
AUTHOR ?= shap-staff@suse.de

# you can customize any of the following to build forks
OBS_PROJECT ?= server:monitoring
OBS_PACKAGE ?= prometheus-ha_cluster_exporter
REPOSITORY ?= clusterlabs/ha_cluster_exporter

# the Go archs we crosscompile to
ARCHS ?= amd64 arm64 ppc64le s390x

default: clean mod-tidy fmt vet-check test build

download:
	go mod download
	go mod verify

build: amd64

build-all: clean-bin $(ARCHS)

$(ARCHS):
	@mkdir -p build/bin
	CGO_ENABLED=0 GOOS=linux GOARCH=$@ go build -trimpath -ldflags "-s -w -X main.version=$(VERSION)" -o build/bin/ha_cluster_exporter-$(VERSION)-$@

install:
	go install

static-checks: vet-check fmt-check

vet-check: download
	go vet .

fmt:
	go fmt

mod-tidy:
	go mod tidy

fmt-check:
	.ci/go_lint.sh

test: download
	go test -v

coverage: coverage.out
coverage.out:
	go test -cover -coverprofile=coverage.out
	go tool cover -html=coverage.out

clean: clean-bin clean-obs
	go clean
	rm -f coverage.out

clean-bin:
	rm -rf build/bin

clean-obs:
	rm -rf build/obs

obs-workdir: build/obs
build/obs:
	@mkdir -p build/obs/$(OBS_PACKAGE)
	osc checkout $(OBS_PROJECT)/$(OBS_PACKAGE) -o build/obs
	cp ha_cluster_exporter.spec build/obs/$(OBS_PACKAGE).spec
	sed -i 's/%%VERSION%%/$(VERSION)/' build/obs/$(OBS_PACKAGE).spec
	git archive --format=tar HEAD | tar -x -C build/obs/$(OBS_PACKAGE)
	cd build/obs/$(OBS_PACKAGE); go mod vendor
	rm build/obs/*.tar.gz
	tar -cvzf build/obs/$(OBS_PACKAGE)-$(VERSION).tar.gz -C build/obs/$(OBS_PACKAGE) .
	.ci/gh_release_to_obs_changeset.py $(REPOSITORY) -a $(AUTHOR) -t $(VERSION) -f build/obs/$(OBS_PACKAGE).changes || true

obs-commit: obs-workdir
	cd build/obs; osc addremove
	cd build/obs; osc commit -m "Automated $(VERSION) release"

.PHONY: default download install static-checks vet-check fmt fmt-check mod-tidy test clean clean-bin clean-obs build build-all obs-commit obs-workdir $(ARCHS)

=== debian/changelog ===
prometheus-hacluster-exporter (0.4.0-2ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 20 Jan 2023 16:57:11 +0100

prometheus-hacluster-exporter (0.4.0-2ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 02:12:13 +0200

prometheus-hacluster-exporter (0.4.0-2) unstable; urgency=medium

  * Update Standards-Version to 4.5.0
  * Remove debian/files from git

 -- Valentin Vidic <vvidic@debian.org>  Tue, 21 Jan 2020 21:20:41 +0100

prometheus-hacluster-exporter (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #947674)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 28 Dec 2019 16:39:39 +0100

=== debian/control ===
Source: prometheus-hacluster-exporter
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Valentin Vidic <vvidic@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
 golang-any,
 golang-github-pkg-errors-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter
Vcs-Git: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter.git
XS-Go-Import-Path: github.com/ClusterLabs/ha_cluster_exporter

Package: prometheus-hacluster-exporter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for HA cluster services
 Prometheus exporter for Pacemaker cluster services, written in Go.
 .
 This service scrapes status of Corosync, Pacemaker, SBD and DRBD
 services and exports them via HTTP for Prometheus consumption.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-
include /usr/share/dpkg/pkg-info.mk

BUILDDIR := $(CURDIR)/build

# Taken and modified from the project's Makefile.

BRANCH     := master
USER       := debian-ha-maintainers@lists.alioth.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

override_dh_auto_install:
	dh_auto_install -- --no-source

## prometheus-hacluster-exporter 1.1.0

=== Makefile ===
# this is the what ends up in the RPM "Version" field and embedded in the --version CLI flag
VERSION ?= $(shell .ci/get_version_from_git.sh)

# this will be used as the build date by the Go compile task
DATE = $(shell date --iso-8601=seconds)

# if you want to release to OBS, this must be a remotely available Git reference
REVISION ?= $(shell git rev-parse --abbrev-ref HEAD)

# we only use this to comply with RPM changelog conventions at SUSE
AUTHOR ?= shap-staff@suse.de

# you can customize any of the following to build forks
OBS_PROJECT ?= server:monitoring
REPOSITORY ?= clusterlabs/ha_cluster_exporter

# the Go archs we crosscompile to
ARCHS ?= amd64 arm64 ppc64le s390x

default: clean download mod-tidy generate fmt vet-check test build

download:
	go mod download
	go mod verify

build: amd64

build-all: clean $(ARCHS)

$(ARCHS):
	@mkdir -p build/bin
	CGO_ENABLED=0 GOOS=linux GOARCH=$@ go build -trimpath -ldflags "-s -w -X main.version=$(VERSION) -X main.buildDate=$(DATE)" -o build/bin/ha_cluster_exporter-$@

install:
	go install

static-checks: vet-check fmt-check

vet-check: download
	go vet ./...

fmt:
	go fmt ./...

mod-tidy:
	go mod tidy

fmt-check:
	.ci/go_lint.sh

generate:
	go generate ./...

test: download
	go test -v ./...

checks: static-checks test

coverage:
	@mkdir -p build
	go test -cover -coverprofile=build/coverage ./...
	go tool cover -html=build/coverage

clean:
	go clean
	rm -rf build

exporter-obs-workdir: build/obs/prometheus-ha_cluster_exporter
build/obs/prometheus-ha_cluster_exporter:
	@mkdir -p $@
	osc checkout $(OBS_PROJECT) prometheus-ha_cluster_exporter -o $@
	rm -f $@/*.tar.gz
	cp -rv packaging/obs/prometheus-ha_cluster_exporter/* $@/
# we interpolate environment variables in OBS _service file so that we control what is downloaded by the tar_scm source service
	sed -i 's~%%VERSION%%~$(VERSION)~' $@/_service
	sed -i 's~%%REVISION%%~$(REVISION)~' $@/_service
	sed -i 's~%%REPOSITORY%%~$(REPOSITORY)~' $@/_service
	cd $@; osc service runall

exporter-obs-changelog: exporter-obs-workdir
	.ci/gh_release_to_obs_changeset.py $(REPOSITORY) -a $(AUTHOR) -t $(REVISION) -f build/obs/prometheus-ha_cluster_exporter/prometheus-ha_cluster_exporter.changes

exporter-obs-commit: exporter-obs-workdir
	cd build/obs/prometheus-ha_cluster_exporter; osc addremove
	cd build/obs/prometheus-ha_cluster_exporter; osc commit -m "Update from git rev $(REVISION)"

dashboards-obs-workdir: build/obs/grafana-ha-cluster-dashboards
build/obs/grafana-ha-cluster-dashboards:
	@mkdir -p $@
	osc checkout $(OBS_PROJECT) grafana-ha-cluster-dashboards -o $@
	rm -f $@/*.tar.gz
	cp -rv packaging/obs/grafana-ha-cluster-dashboards/* $@/
# we interpolate environment variables in OBS _service file so that we control what is downloaded by the tar_scm source service
	sed -i 's~%%REVISION%%~$(REVISION)~' $@/_service
	sed -i 's~%%REPOSITORY%%~$(REPOSITORY)~' $@/_service
	cd $@; osc service runall

dashboards-obs-commit: dashboards-obs-workdir
	cd build/obs/grafana-ha-cluster-dashboards; osc addremove
	cd build/obs/grafana-ha-cluster-dashboards; osc commit -m "Update from git rev $(REVISION)"

.PHONY: $(ARCHS) build build-all checks clean coverage dashboards-obs-commit dashboards-obs-workdir default download \
		exporter-obs-changelog exporter-obs-commit exporter-obs-workdir fmt fmt-check generate install mod-tidy \
		static-checks test vet-check

=== debian/changelog ===
prometheus-hacluster-exporter (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Add build depends on golang-github-golang-mock-dev
  * Refresh patches for new version.
  * Refresh lintian-overrides

 -- Valentin Vidic <vvidic@debian.org>  Sat, 18 Jul 2020 17:10:01 +0200

prometheus-hacluster-exporter (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Refresh patches
  * Copy test directory for dh_auto_test
  * Use debhelper version 13
  * Update mailing list address
  * Fix debian/tests
  * Fix RingId parsing for Corosync 3.0.3

 -- Valentin Vidic <vvidic@debian.org>  Sat, 09 May 2020 13:42:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-golang,
  golang-any,
+ golang-github-golang-mock-dev,
  golang-github-pkg-errors-dev,
  golang-github-prometheus-client-golang-dev,
  golang-github-sirupsen-logrus-dev,

## prometheus-hacluster-exporter 1.2.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 AUTHOR ?= shap-staff@suse.de
 
 # you can customize any of the following to build forks
-OBS_PROJECT ?= server:monitoring
+OBS_PROJECT ?= network:ha-clustering:sap-deployments:devel
 REPOSITORY ?= clusterlabs/ha_cluster_exporter
 
 # the Go archs we crosscompile to

=== debian/changelog ===
prometheus-hacluster-exporter (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Update Standards-Version to 4.5.1

 -- Valentin Vidic <vvidic@debian.org>  Sat, 05 Dec 2020 13:51:40 +0100

prometheus-hacluster-exporter (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Wait for listening socket in tests

 -- Valentin Vidic <vvidic@debian.org>  Tue, 15 Sep 2020 21:48:26 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  golang-github-sirupsen-logrus-dev,
  golang-github-spf13-pflag-dev,
  golang-github-spf13-viper-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
 Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter

=== debian/tests/control ===
Depends: @, corosync, curl
Restrictions: needs-root, isolation-container, skippable
Tests: corosync

Depends: @, corosync, pacemaker, pacemaker-cli-utils, curl
Restrictions: needs-root, isolation-container, skippable
Tests: pacemaker

Depends: @, sbd, curl
Restrictions: needs-root, isolation-machine
Tests: sbd

=== debian/watch ===
version=3
https://github.com/ClusterLabs/ha_cluster_exporter/releases .*/v?(\d\S*)\.tar\.gz

## prometheus-hacluster-exporter 1.2.3

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,7 @@
 # the Go archs we crosscompile to
 ARCHS ?= amd64 arm64 ppc64le s390x
 
-default: clean download mod-tidy generate fmt vet-check test build
-
-download:
-	go mod download
-	go mod verify
+default: clean mod-tidy generate fmt vet-check test build
 
 build: amd64
 
@@ -36,7 +32,7 @@
 
 static-checks: vet-check fmt-check
 
-vet-check: download
+vet-check:
 	go vet ./...
 
 fmt:
@@ -51,7 +47,7 @@
 generate:
 	go generate ./...
 
-test: download
+test:
 	go test -v ./...
 
 checks: static-checks test

=== debian/changelog ===
prometheus-hacluster-exporter (1.2.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Valentin Vidic ]
  * Revert "Install systemd service file in /usr/lib/systemd/system"
  * Update copyright for debian files
  * Update overrides for new lintian version
  * Update test to be more reliable

 -- Valentin Vidic <vvidic@debian.org>  Sun, 19 Dec 2021 21:47:07 +0100

prometheus-hacluster-exporter (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * Update Standards-Version to 4.6.0
  * Update watch file version to 4
  * Install systemd service file in /usr/lib/systemd/system

 -- Valentin Vidic <vvidic@debian.org>  Tue, 24 Aug 2021 22:37:50 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  golang-github-sirupsen-logrus-dev,
  golang-github-spf13-pflag-dev,
  golang-github-spf13-viper-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
 Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter

=== debian/watch ===
version=4
https://github.com/ClusterLabs/ha_cluster_exporter/releases .*/v?(\d\S*)\.tar\.gz

## prometheus-hacluster-exporter 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,19 @@
+GO    := GO111MODULE=on go
+FIRST_GOPATH := $(firstword $(subst :, ,$(shell $(GO) env GOPATH)))
+GOHOSTOS     ?= $(shell $(GO) env GOHOSTOS)
+GOHOSTARCH   ?= $(shell $(GO) env GOHOSTARCH)
+ifeq (arm, $(GOHOSTARCH))
+	GOHOSTARM ?= $(shell GOARM= $(GO) env GOARM)
+	GO_BUILD_PLATFORM ?= $(GOHOSTOS)-$(GOHOSTARCH)v$(GOHOSTARM)
+else
+	GO_BUILD_PLATFORM ?= $(GOHOSTOS)-$(GOHOSTARCH)
+endif
+PROMU        := $(FIRST_GOPATH)/bin/promu
+PROMU_VERSION ?= 0.13.0
+PROMU_URL     := https://github.com/prometheus/promu/releases/download/v$(PROMU_VERSION)/promu-$(PROMU_VERSION).$(GO_BUILD_PLATFORM).tar.gz
+
 # this is the what ends up in the RPM "Version" field and embedded in the --version CLI flag
 VERSION ?= $(shell .ci/get_version_from_git.sh)
-
-# this will be used as the build date by the Go compile task
-DATE = $(shell date --iso-8601=seconds)
 
 # if you want to release to OBS, this must be a remotely available Git reference
 REVISION ?= $(shell git rev-parse --abbrev-ref HEAD)
@@ -19,47 +30,65 @@
 
 default: clean mod-tidy generate fmt vet-check test build
 
-build: amd64
+promu-prepare: 
+	sed "s/{{.Version}}/$(VERSION)/" .promu.yml >.promu.release.yml
+	mkdir -p build/bin
 
-build-all: clean $(ARCHS)
+# from https://github.com/prometheus/prometheus/blob/main/Makefile.common
+$(PROMU):
+	$(eval PROMU_TMP := $(shell mktemp -d))
+	curl -s -L $(PROMU_URL) | tar -xvzf - -C $(PROMU_TMP)
+	mkdir -p $(FIRST_GOPATH)/bin
+	cp $(PROMU_TMP)/promu-$(PROMU_VERSION).$(GO_BUILD_PLATFORM)/promu $(FIRST_GOPATH)/bin/promu
+	rm -r $(PROMU_TMP)
+
+build:
+	$(MAKE) clean
+	$(MAKE) promu-prepare $(PROMU)
+	$(MAKE) amd64
+
+build-all:
+	$(MAKE) clean
+	$(MAKE) promu-prepare $(PROMU)
+	$(MAKE) $(ARCHS)
 
 $(ARCHS):
-	@mkdir -p build/bin
-	CGO_ENABLED=0 GOOS=linux GOARCH=$@ go build -trimpath -ldflags "-s -w -X main.version=$(VERSION) -X main.buildDate=$(DATE)" -o build/bin/ha_cluster_exporter-$@
+	GOOS=linux GOARCH=$@ $(PROMU) build --config .promu.release.yml --prefix=build/bin ha_cluster_exporter-$@
 
 install:
-	go install
+	$(GO) install
 
 static-checks: vet-check fmt-check
 
 vet-check:
-	go vet ./...
+	$(GO) vet ./...
 
 fmt:
-	go fmt ./...
+	$(GO) fmt ./...
 
 mod-tidy:
-	go mod tidy
+	$(GO) mod tidy
 
 fmt-check:
 	.ci/go_lint.sh
 
 generate:
-	go generate ./...
+	$(GO) generate ./...
 
 test:
-	go test -v ./...
+	$(GO) test -v ./...
 
 checks: static-checks test
 
 coverage:
 	@mkdir -p build
-	go test -cover -coverprofile=build/coverage ./...
-	go tool cover -html=build/coverage
+	$(GO) test -cover -coverprofile=build/coverage ./...
+	$(GO) tool cover -html=build/coverage
 
 clean:
-	go clean
+	$(GO) clean
 	rm -rf build
+	rm -f .promu.release.yml
 
 exporter-obs-workdir: build/obs/prometheus-ha_cluster_exporter
 build/obs/prometheus-ha_cluster_exporter:

=== debian/changelog ===
prometheus-hacluster-exporter (1.3.0-1ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 14 Feb 2023 10:58:11 +0100

prometheus-hacluster-exporter (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Update patches for new version
  * Update Standards-Version to 4.6.1
  * Disable Salsa CI reprotest
  * Update Build-Depends for new version
  * Update copyright year for debian directory

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 May 2022 10:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
+ golang-github-go-kit-kit-dev,
  golang-github-golang-mock-dev,
  golang-github-pkg-errors-dev,
  golang-github-prometheus-client-golang-dev,
- golang-github-sirupsen-logrus-dev,
- golang-github-spf13-pflag-dev,
+ golang-github-prometheus-common-dev,
+ golang-github-prometheus-exporter-toolkit-dev,
  golang-github-spf13-viper-dev,
-Standards-Version: 4.6.0
+ golang-gopkg-alecthomas-kingpin.v2-dev,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
 Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter

## prometheus-hacluster-exporter 1.3.1

=== Makefile ===
--- 
+++ 
@@ -100,7 +100,9 @@
 	sed -i 's~%%VERSION%%~$(VERSION)~' $@/_service
 	sed -i 's~%%REVISION%%~$(REVISION)~' $@/_service
 	sed -i 's~%%REPOSITORY%%~$(REPOSITORY)~' $@/_service
-	cd $@; osc service runall
+	go mod vendor
+	tar --sort=name --mtime='UTC 1970-01-01' -c vendor | gzip -n > $@/vendor.tar.gz
+	cd $@; osc service manualrun
 
 exporter-obs-changelog: exporter-obs-workdir
 	.ci/gh_release_to_obs_changeset.py $(REPOSITORY) -a $(AUTHOR) -t $(REVISION) -f build/obs/prometheus-ha_cluster_exporter/prometheus-ha_cluster_exporter.changes
@@ -118,7 +120,7 @@
 # we interpolate environment variables in OBS _service file so that we control what is downloaded by the tar_scm source service
 	sed -i 's~%%REVISION%%~$(REVISION)~' $@/_service
 	sed -i 's~%%REPOSITORY%%~$(REPOSITORY)~' $@/_service
-	cd $@; osc service runall
+	cd $@; osc service manualrun
 
 dashboards-obs-commit: dashboards-obs-workdir
 	cd build/obs/grafana-ha-cluster-dashboards; osc addremove

=== debian/changelog ===
prometheus-hacluster-exporter (1.3.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:35 +1200

prometheus-hacluster-exporter (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Update Standards-Version to 4.6.2

 -- Valentin Vidic <vvidic@debian.org>  Thu, 16 Feb 2023 22:39:14 +0100

prometheus-hacluster-exporter (1.3.0-3) unstable; urgency=medium

  * Fix build failure with new version of
    golang-github-prometheus-exporter-toolkit-dev

 -- Valentin Vidic <vvidic@debian.org>  Thu, 17 Nov 2022 23:10:02 +0100

prometheus-hacluster-exporter (1.3.0-2) unstable; urgency=medium

  * Update github url in debian/watch file
  * Update lintian-overrides for new lintian version

 -- Valentin Vidic <vvidic@debian.org>  Wed, 19 Oct 2022 23:04:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,7 +15,7 @@
  golang-github-prometheus-exporter-toolkit-dev,
  golang-github-spf13-viper-dev,
  golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
 Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
+
+override_dh_auto_test:
+	cp -a test $(BUILDDIR)/src/github.com/ClusterLabs/ha_cluster_exporter/
+	dh_auto_test

=== debian/watch ===
version=4
https://github.com/ClusterLabs/ha_cluster_exporter/tags .*/(\d\S*)\.tar\.gz

## prometheus-hacluster-exporter 1.3.3

=== debian/changelog ===
prometheus-hacluster-exporter (1.3.3-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 10:59:47 +1000

prometheus-hacluster-exporter (1.3.3-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version 1.3.3
  * Refresh patches for new version
  * Fix build failure of kingpin package
  * Refresh lintian overrides
  * Update Standards-Version to 4.7.0

  [ Chris Hofstaedtler ]
  * Install systemd units into /usr. (Closes: #1073668)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 03 Aug 2024 09:58:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,7 +16,7 @@
  golang-github-prometheus-exporter-toolkit-dev,
  golang-github-spf13-viper-dev,
  golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
 Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter

## prometheus-hacluster-exporter 1.4.0

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 AUTHOR ?= shap-staff@suse.de
 
 # you can customize any of the following to build forks
-OBS_PROJECT ?= network:ha-clustering:sap-deployments:devel
+OBS_PROJECT ?= devel:sap:monitoring:factory
 REPOSITORY ?= clusterlabs/ha_cluster_exporter
 
 # the Go archs we crosscompile to

=== debian/changelog ===
prometheus-hacluster-exporter (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Refresh patches for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 12 Jan 2025 10:55:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
